package com.ylx.order.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ylx.order.domain.AfterSalesService;
import com.ylx.order.domain.dto.AfterSalesServiceDTO;
import com.ylx.order.domain.vo.AfterSalesServiceApplyVO;
import com.ylx.order.domain.vo.RefundCalculationVO;
import com.ylx.order.domain.vo.AfterSalesServiceDetailVO;

public interface IAfterSalesServiceService extends IService<AfterSalesService> {
    void submitAfterSale(AfterSalesServiceDTO dto);

    RefundCalculationVO calculateRefund(AfterSalesServiceDTO dto);

    AfterSalesServiceDetailVO getDetailById(Long id);

    AfterSalesServiceApplyVO applyAfterSale(AfterSalesServiceDTO dto);
}
